### Signal

# Ide SourceView::push-snippet

#### Declaration

    void
    push_snippet (
      IdeSourceView* self,
      IdeSnippet* snippet,
      const GtkTextIter* iter,
      gpointer user_data
    )

#### Description

Pushes `snippet` onto the snippet stack at either `iter` or the insertion mark if `iter` is not provided.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`snippet` | `IdeSnippet`
| An `IdeSnippet`.
| The data is owned by the caller of the function.
`iter` | `GtkTextIter`
| The location for the snippet, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.